/******************************************************************************\
*  Animeshell 1.0 Multimedia manager                                           *
*  Copyright (C) 2006-2007 Rémy Guillemette <shaikadzari@gmail.com>            *
*                                                                              *
*  This program is free software; you can redistribute it and/or modify        *
*  it under the terms of the GNU General Public License version 2 only as      *
*  published by the Free Software Foundation.                                  *
*                                                                              *
*  This program is distributed in the hope that it will be useful,             *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*  GNU General Public License for more details.                                *
*                                                                              *
*  You should have received a copy of the GNU General Public License           *
*  along with this program; if not, write to the                               *
*  Free Software Foundation, Inc.,                                             *
*  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                   *
\******************************************************************************/

#ifndef RECHERCHEEXTERNE_H
#define RECHERCHEEXTERNE_H

//
#include <QDialog>
#include <QStringList>

#include "ui_RechercheExterne.h"
//

/*!
    \class rechercheexterne
    \brief Search keyword on the Internet.    
    \author Rémy Guillemette <rguillemette@b2b2c.ca>
    \version 1.0.0  
*/
class rechercheexterne : public QDialog, public Ui::diaRechercheExterne
{
Q_OBJECT
public:

	/*! rechercheexterne(QWidget *parent = 0)
		\brief Constructor
	*/
	rechercheexterne(QWidget *parent = 0);
	
	/*! setWebSearch(QStringList SearchList)
		\brief Add web search from animeshellrc to combobox
		\param[in] SearchList List of website
	*/
	void setWebSearch(QStringList pSearchList);
	
	/*! setWebBrowser(QString pName)
		\brief Set the web browser to use
		\param[in] pName The name of the browser
	*/
	void setWebBrowser(QString pName);

private slots:
	
	/*! btnSearch_Clicked()
		\brief Launch the search
	*/
	void btnSearch_Clicked();
	
	/*! btnClose_Clicked()
		\brief Close the form
	*/
	void btnClose_Clicked();
	
	/*! CreateProperName(QString pName)
		\ Create a proper name to use with google and cie.
		\param[in] pName the name to correct
		\return QString A proper name
	*/
	QString CreateProperName(QString pName);
	
private:
	QString m_Browser;
};
#endif
